curl -u <YOUR_KEY>:<YOUR_SECRET> \
-X POST https://api.razorpay.com/v1/fund_accounts/validations \
-H "Content-Type: application/json" \
-d '{
"source_account_number": "7878780080316316",
"validation_type": "optimized",
"reference_id": "112233",
"notes": {
"random_key_1": "Make it so.",
"random_key_2": "Tea. Earl Grey. Hot."
},
"fund_account": {
"account_type":"bank_account",
"bank_account":{
"name":"Gaurav Kumar",
"ifsc":"HDFC0000053",
"account_number":"765432123456789"
},
"contact": {
"name":"Gaurav Kumar",
"email":"gaurav.kumar@example.com",
"contact":"9123456789",
"type":"employee",
"reference_id":"Acme Contact ID 12345",
"notes":{
"notes_key_1":"Tea, Earl Grey, Hot",
"notes_key_2":"Tea, Earl Grey... decaf."
}
}
}
}'
{
"id": "fav_00000000000001",
"entity": "fund_account.validation",
"status": "created",
"utr" : "123456789012",
"validation_results": {
"account_status": null,
"registered_name": null,
"details": null,
"name_match_score": null
},
"status_details": {
"description": "Validation request is created",
"source": "internal",
"reason": "validation_request_created"
},
"reference_id": "112233",
"notes": {
"random_key_1": "Make it so.",
"random_key_2": "Tea. Earl Grey. Hot."
},
"fund_account": {
"id": "fa_00000000000001",
"entity": "fund_account",
"account_type": "bank_account",
"bank_account": {
"name": "Gaurav Kumar",
"bank_name": "HDFC",
"ifsc": "HDFC0000053",
"account_number": "765432123456789"
},
"active": true,
"created_at": 1567064019,
"contact": {
"id": "cont_00000000000001",
"entity": "contact",
"name":"Gaurav Kumar",
"email":"gaurav.kumar@example.com",
"contact":"9123456789",
"type":"employee",
"reference_id":"Acme Contact ID 12345",
"active": true,
"created_at": 1567064019,
"notes":{
"notes_key_1":"Tea, Earl Grey, Hot",
"notes_key_2":"Tea, Earl Grey... decaf."
}
}
}
}
{
"id": "fav_00000000000001",
"entity": "fund_account.validation",
"status": "completed",
"utr" : "123456789012",
"validation_results": {
"account_status": "active",
"registered_name": "Gaurav Kumar",
"details": "The beneficiary account is valid." ,
"name_match_score": 100
},
"status_details": {
"description": "Validation request is completed",
"source": "beneficiary_bank",
"reason": "validation_completed"
},
"reference_id": "112233",
"notes": {
"random_key_1": "Make it so.",
"random_key_2": "Tea. Earl Grey. Hot."
},
"fund_account": {
"id": "fa_00000000000001",
"entity": "fund_account",
"account_type": "bank_account",
"bank_account": {
"name": "Gaurav Kumar",
"bank_name": "HDFC",
"ifsc": "HDFC0000053",
"account_number": "765432123456789"
},
"active": true,
"created_at": 1567064019,
"contact": {
"id": "cont_00000000000001",
"entity": "contact",
"name":"Gaurav Kumar",
"email":"gaurav.kumar@example.com",
"contact":"9123456789",
"type":"employee",
"reference_id":"Acme Contact ID 12345",
"active": true,
"created_at": 1567064019,
"notes":{
"notes_key_1":"Tea, Earl Grey, Hot",
"notes_key_2":"Tea, Earl Grey... decaf."
}
}
}
}
{
"id": "fav_00000000000001",
"entity": "fund_account.validation",
"status": "failed",
"validation_results": {
"account_status": "",
"registered_name": "",
"details": null,
"name_match_score": null
},
"status_details": {
"description": "Validation failed due to a temporary technical issue at the partner bank. Please retry after 30 min.",
"source": "gateway",
"reason": "gateway_technical_error"
},
"reference_id": "112233",
"notes": {
"random_key_1": "Make it so.",
"random_key_2": "Tea. Earl Grey. Hot."
},
"fund_account": {
"id": "fa_00000000000001",
"entity": "fund_account",
"account_type": "bank_account",
"bank_account": {
"name": "Gaurav Kumar",
"bank_name": "HDFC",
"ifsc": "HDFC0000053",
"account_number": "765432123456789"
},
"active": true,
"created_at": 1567064019,
"contact": {
"id": "cont_00000000000001",
"entity": "contact",
"name":"Gaurav Kumar",
"email":"gaurav.kumar@example.com",
"contact":"9123456789",
"type":"employee",
"reference_id":"112233",
"active": true,
"created_at": 1567064019,
"notes":{
"notes_key_1":"Tea, Earl Grey, Hot",
"notes_key_2":"Tea, Earl Grey... decaf."
}
}
}
}
Validate a Bank Account
Create Contact, Fund account and Validate Fund Account of type bank account via a single API.
POST
/
v1
/
fund_accounts
/
validations
curl -u <YOUR_KEY>:<YOUR_SECRET> \
-X POST https://api.razorpay.com/v1/fund_accounts/validations \
-H "Content-Type: application/json" \
-d '{
"source_account_number": "7878780080316316",
"validation_type": "optimized",
"reference_id": "112233",
"notes": {
"random_key_1": "Make it so.",
"random_key_2": "Tea. Earl Grey. Hot."
},
"fund_account": {
"account_type":"bank_account",
"bank_account":{
"name":"Gaurav Kumar",
"ifsc":"HDFC0000053",
"account_number":"765432123456789"
},
"contact": {
"name":"Gaurav Kumar",
"email":"gaurav.kumar@example.com",
"contact":"9123456789",
"type":"employee",
"reference_id":"Acme Contact ID 12345",
"notes":{
"notes_key_1":"Tea, Earl Grey, Hot",
"notes_key_2":"Tea, Earl Grey... decaf."
}
}
}
}'
{
"id": "fav_00000000000001",
"entity": "fund_account.validation",
"status": "created",
"utr" : "123456789012",
"validation_results": {
"account_status": null,
"registered_name": null,
"details": null,
"name_match_score": null
},
"status_details": {
"description": "Validation request is created",
"source": "internal",
"reason": "validation_request_created"
},
"reference_id": "112233",
"notes": {
"random_key_1": "Make it so.",
"random_key_2": "Tea. Earl Grey. Hot."
},
"fund_account": {
"id": "fa_00000000000001",
"entity": "fund_account",
"account_type": "bank_account",
"bank_account": {
"name": "Gaurav Kumar",
"bank_name": "HDFC",
"ifsc": "HDFC0000053",
"account_number": "765432123456789"
},
"active": true,
"created_at": 1567064019,
"contact": {
"id": "cont_00000000000001",
"entity": "contact",
"name":"Gaurav Kumar",
"email":"gaurav.kumar@example.com",
"contact":"9123456789",
"type":"employee",
"reference_id":"Acme Contact ID 12345",
"active": true,
"created_at": 1567064019,
"notes":{
"notes_key_1":"Tea, Earl Grey, Hot",
"notes_key_2":"Tea, Earl Grey... decaf."
}
}
}
}
{
"id": "fav_00000000000001",
"entity": "fund_account.validation",
"status": "completed",
"utr" : "123456789012",
"validation_results": {
"account_status": "active",
"registered_name": "Gaurav Kumar",
"details": "The beneficiary account is valid." ,
"name_match_score": 100
},
"status_details": {
"description": "Validation request is completed",
"source": "beneficiary_bank",
"reason": "validation_completed"
},
"reference_id": "112233",
"notes": {
"random_key_1": "Make it so.",
"random_key_2": "Tea. Earl Grey. Hot."
},
"fund_account": {
"id": "fa_00000000000001",
"entity": "fund_account",
"account_type": "bank_account",
"bank_account": {
"name": "Gaurav Kumar",
"bank_name": "HDFC",
"ifsc": "HDFC0000053",
"account_number": "765432123456789"
},
"active": true,
"created_at": 1567064019,
"contact": {
"id": "cont_00000000000001",
"entity": "contact",
"name":"Gaurav Kumar",
"email":"gaurav.kumar@example.com",
"contact":"9123456789",
"type":"employee",
"reference_id":"Acme Contact ID 12345",
"active": true,
"created_at": 1567064019,
"notes":{
"notes_key_1":"Tea, Earl Grey, Hot",
"notes_key_2":"Tea, Earl Grey... decaf."
}
}
}
}
{
"id": "fav_00000000000001",
"entity": "fund_account.validation",
"status": "failed",
"validation_results": {
"account_status": "",
"registered_name": "",
"details": null,
"name_match_score": null
},
"status_details": {
"description": "Validation failed due to a temporary technical issue at the partner bank. Please retry after 30 min.",
"source": "gateway",
"reason": "gateway_technical_error"
},
"reference_id": "112233",
"notes": {
"random_key_1": "Make it so.",
"random_key_2": "Tea. Earl Grey. Hot."
},
"fund_account": {
"id": "fa_00000000000001",
"entity": "fund_account",
"account_type": "bank_account",
"bank_account": {
"name": "Gaurav Kumar",
"bank_name": "HDFC",
"ifsc": "HDFC0000053",
"account_number": "765432123456789"
},
"active": true,
"created_at": 1567064019,
"contact": {
"id": "cont_00000000000001",
"entity": "contact",
"name":"Gaurav Kumar",
"email":"gaurav.kumar@example.com",
"contact":"9123456789",
"type":"employee",
"reference_id":"112233",
"active": true,
"created_at": 1567064019,
"notes":{
"notes_key_1":"Tea, Earl Grey, Hot",
"notes_key_2":"Tea, Earl Grey... decaf."
}
}
}
}
Available in🇮🇳 India🇲🇾 Malaysia🇺🇸 United States
Use this endpoint to create contact, fund account and validate the bank account in a single API call.
curl -u <YOUR_KEY>:<YOUR_SECRET> \
-X POST https://api.razorpay.com/v1/fund_accounts/validations \
-H "Content-Type: application/json" \
-d '{
"source_account_number": "7878780080316316",
"validation_type": "optimized",
"reference_id": "112233",
"notes": {
"random_key_1": "Make it so.",
"random_key_2": "Tea. Earl Grey. Hot."
},
"fund_account": {
"account_type":"bank_account",
"bank_account":{
"name":"Gaurav Kumar",
"ifsc":"HDFC0000053",
"account_number":"765432123456789"
},
"contact": {
"name":"Gaurav Kumar",
"email":"gaurav.kumar@example.com",
"contact":"9123456789",
"type":"employee",
"reference_id":"Acme Contact ID 12345",
"notes":{
"notes_key_1":"Tea, Earl Grey, Hot",
"notes_key_2":"Tea, Earl Grey... decaf."
}
}
}
}'
{
"id": "fav_00000000000001",
"entity": "fund_account.validation",
"status": "created",
"utr" : "123456789012",
"validation_results": {
"account_status": null,
"registered_name": null,
"details": null,
"name_match_score": null
},
"status_details": {
"description": "Validation request is created",
"source": "internal",
"reason": "validation_request_created"
},
"reference_id": "112233",
"notes": {
"random_key_1": "Make it so.",
"random_key_2": "Tea. Earl Grey. Hot."
},
"fund_account": {
"id": "fa_00000000000001",
"entity": "fund_account",
"account_type": "bank_account",
"bank_account": {
"name": "Gaurav Kumar",
"bank_name": "HDFC",
"ifsc": "HDFC0000053",
"account_number": "765432123456789"
},
"active": true,
"created_at": 1567064019,
"contact": {
"id": "cont_00000000000001",
"entity": "contact",
"name":"Gaurav Kumar",
"email":"gaurav.kumar@example.com",
"contact":"9123456789",
"type":"employee",
"reference_id":"Acme Contact ID 12345",
"active": true,
"created_at": 1567064019,
"notes":{
"notes_key_1":"Tea, Earl Grey, Hot",
"notes_key_2":"Tea, Earl Grey... decaf."
}
}
}
}
{
"id": "fav_00000000000001",
"entity": "fund_account.validation",
"status": "completed",
"utr" : "123456789012",
"validation_results": {
"account_status": "active",
"registered_name": "Gaurav Kumar",
"details": "The beneficiary account is valid." ,
"name_match_score": 100
},
"status_details": {
"description": "Validation request is completed",
"source": "beneficiary_bank",
"reason": "validation_completed"
},
"reference_id": "112233",
"notes": {
"random_key_1": "Make it so.",
"random_key_2": "Tea. Earl Grey. Hot."
},
"fund_account": {
"id": "fa_00000000000001",
"entity": "fund_account",
"account_type": "bank_account",
"bank_account": {
"name": "Gaurav Kumar",
"bank_name": "HDFC",
"ifsc": "HDFC0000053",
"account_number": "765432123456789"
},
"active": true,
"created_at": 1567064019,
"contact": {
"id": "cont_00000000000001",
"entity": "contact",
"name":"Gaurav Kumar",
"email":"gaurav.kumar@example.com",
"contact":"9123456789",
"type":"employee",
"reference_id":"Acme Contact ID 12345",
"active": true,
"created_at": 1567064019,
"notes":{
"notes_key_1":"Tea, Earl Grey, Hot",
"notes_key_2":"Tea, Earl Grey... decaf."
}
}
}
}
{
"id": "fav_00000000000001",
"entity": "fund_account.validation",
"status": "failed",
"validation_results": {
"account_status": "",
"registered_name": "",
"details": null,
"name_match_score": null
},
"status_details": {
"description": "Validation failed due to a temporary technical issue at the partner bank. Please retry after 30 min.",
"source": "gateway",
"reason": "gateway_technical_error"
},
"reference_id": "112233",
"notes": {
"random_key_1": "Make it so.",
"random_key_2": "Tea. Earl Grey. Hot."
},
"fund_account": {
"id": "fa_00000000000001",
"entity": "fund_account",
"account_type": "bank_account",
"bank_account": {
"name": "Gaurav Kumar",
"bank_name": "HDFC",
"ifsc": "HDFC0000053",
"account_number": "765432123456789"
},
"active": true,
"created_at": 1567064019,
"contact": {
"id": "cont_00000000000001",
"entity": "contact",
"name":"Gaurav Kumar",
"email":"gaurav.kumar@example.com",
"contact":"9123456789",
"type":"employee",
"reference_id":"112233",
"active": true,
"created_at": 1567064019,
"notes":{
"notes_key_1":"Tea, Earl Grey, Hot",
"notes_key_2":"Tea, Earl Grey... decaf."
}
}
}
}
Request Parameters
The account from which money should be deducted for the account validation transaction.
The chosen type of validation. Possible values:
pennydrop: Razorpay Curlec will make a transaction for validation.penniless: Razorpay Curlec will validate the account without a transaction.optimized(default): Razorpay Curlec will decide whether the validation requires a transaction or not.
Key-value pair that can be used to store additional information about the entity. Maximum 15 key-value pairs, 256 characters (maximum) each. For example,
"note_key": "Beam me up Scotty”.A user-generated reference given to the payout. Maximum length is 40 characters. For example,
112233. You can use this field to store your own transaction ID, if any.Response Parameters
A 12-digit unique identifier for the successful IMPS fund account validation transaction. For example,
123456789012.A score between 0 - 100.
100: The name provided by you and the bank registered name are the same.0: There is no match between the name provided by you and the bank registered name.- Between
0&100: There is a partial match between the name provided by you and the bank registered name.
Possible values:
gateway: Technical error at Razorpay Curlec Partner bank.beneficiary_bank: Technical error at beneficiary bank.business: Merchant action required.internal: Technical error at Razorpay Curlec’s server.
A user-generated reference given to the payout. Maximum length is 40 characters. For example,
112233. You can use this field to store your own transaction ID, if any.Last modified on October 8, 2026